//ProgEx40b.h
#ifndef PROGEX40B_H
#define PROGEX40B_H
#define IDC_COMBO_TYPE          1500
#define IDC_EDIT_LENGTH         1505
#define IDC_EDIT_WIDTH          1510
#define IDC_EDIT_HEIGHT         1515
#define IDC_EDIT_VOLUME         1520
#define IDC_BUTTON_CALCULATE    1525
#define IDC_BUTTON_DISPLAY      1530


typedef struct    WindowsEventArguments
{
 HWND             hWnd;
 WPARAM           wParam;
 LPARAM           lParam;
 HINSTANCE        hIns;
}WndEventArgs, *lpWndEventArgs;


struct EVENTHANDLER
{
 unsigned int    Code;
 long            (*fnPtr)(lpWndEventArgs);
};


struct ProgramData
{
 double  dblLength;
 double  dblWidth;
 double  dblHeight;
 double  dblVolume;
 char    szBoxType[16];
};


long fnWndProc_OnCreate(lpWndEventArgs);
long fnWndProc_OnCommand(lpWndEventArgs);
long fnWndProc_OnClose(lpWndEventArgs);
void btnCalculate_OnClick(lpWndEventArgs);
void btnDisplay_OnClick(lpWndEventArgs);
void AttachEventHandlers(void);
long __stdcall fnWndProc(HWND,unsigned int,WPARAM,LPARAM);
int  __stdcall WinMain(HINSTANCE,HINSTANCE,LPSTR,int);
#endif

